Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
github_setting = client.githubs.retrieve_setting(
"id",
)
print(github_setting.id)curl --request GET \
--url https://developer.qaip.com/api/v1/github-settings/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://developer.qaip.com/api/v1/github-settings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"repository": "<string>",
"path_filters": [
"<string>"
],
"reference_type": "default",
"reference_param": "<string>",
"rrule": "<string>",
"secret_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}References
Get GitHub setting
Gets the setting (schedule, repository, etc.) for GitHub data sources.
Required scope: ingestion:manage
GET
/
github-settings
/
{id}
Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
github_setting = client.githubs.retrieve_setting(
"id",
)
print(github_setting.id)Authorizations
API key for authentication
Path Parameters
Ingestion setting ID for the GitHub data source
Response
Successful retrieval of GitHub setting
GitHub ingestion setting ID
Name of the GitHub ingestion setting
GitHub repository in owner/repo format (e.g. "octocat/Hello-World")
Git reference type
Available options:
default, branch, tag, commit Reference parameter (branch name, tag name, or commit hash)
Recurrence rule (RFC 5545 RRULE)
ID of the associated secret

